Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80778 - Can't run mknod when booted from Phoebe install CD
Summary: Can't run mknod when booted from Phoebe install CD
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
: 80372 (view as bug list)
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-31 08:16 UTC by Mark McClelland
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-02 23:01:03 UTC


Attachments (Terms of Use)

Description Mark McClelland 2002-12-31 08:16:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
When booted from Phoebe CD #1 (in rescue mode or by switching to tty0 during
install), the "mknod" command doesn't work. The problem seems to be a missing
Python component.


How reproducible:
Always


Steps to Reproduce:
1. Boot from install CD into rescue mode
2. Proceed through various anaconda screens until you get to a shell propmt
3. Run mknod
    

Actual Results:  
-/bin/sh-2.05b# mknod
Traceback (most recent call last):
  File "/usr/bin/mknod", line 4, in ?
    import isys
ImportError: No module named isys


Expected Results:  When booted from RH 8.0 install CD:
-/bin/sh-2.05b# mknod
usage: mknod <path> [b|c] <major> <minor> or mknod <path>

Comment 1 Jeremy Katz 2002-12-31 15:53:49 UTC
Already fixed in CVS

Comment 2 Mike McLean 2003-01-02 23:01:03 UTC
fix confirmed. -re0102.1

Comment 3 Mike McLean 2003-01-02 23:02:33 UTC
*** Bug 80372 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.